event_loopabstract

Experimental - A serial execution context. More...

`#include <event_loop.hpp>`

## Public Member Functions

virtual bool | inject (void_function0 &f)=0
| Arrange to have f() called in the event_loop's sequence: possibly deferred, possibly in another thread. More...

## Detailed Description

Experimental - A serial execution context.

Event handler functions associated with a single proton::connection are called in sequence. The connection's event_loop allows you to "inject" extra work from any thread, and have it executed in the same sequence.

Examples:
  mt/epoll_container.cpp.

## Member Function Documentation

## inject()

virtual bool inject | ( | void_function0 & | f | ) |

pure virtual

Arrange to have f() called in the event_loop's sequence: possibly deferred, possibly in another thread.

Returns
  true if f() has or will be called, false if the event_loop is ended and f() cannot be injected.

The documentation for this class was generated from the following file:

- proton/event_loop.hpp